Subject: Re: [straw] Coming up: WGLC for draft-ietf-straw-sip-traceroute-01.txt

From: Hadriel Kaplan <[email-masked]>
Date: Mon, 16 Dec 2013 14:28:24 -0500

Thanks for the comments Paul! - responses below...

On Oct 26, 2013, at 5:37 PM, Paul Kyzivat <[email-masked]> wrote:

> Section 3 and is sub-sections have some problems that derive from its evolution. Originally a new header, B2bua-Hops was used. We have since decided to use Max-Forwards instead. There is still a reference to B2bua-Hops in this section.

Right - it’s all fubar.  I’ve tried to clean it up now.

> Also, while instructions for the receiving B2BUA are given, the instructions for the UAC are skimpy. I think something should say that it should first send the request with Max-Forwards:0, and then increment it one by one until it gets an error unrelated to the Max-Forwards, or a success that doesn't have the special reason code. And during that process it may get 483 responses (from proxies or B2BUAs that don't support this mechanism) and must ignore those.

Right, done as part of the section 3.2 cleanup.

> Section 3.2 is confusing to be in the way it conflates B2BUA and UAS. ISTM this section should distinguish between a device that judges itself to be the intended destination of the request, and one that judges itself to be a B2BUA intermediary. If it is the intended destination, then it acts normally, without regard to Max-Forwards. If it judges itself to be an intermediary, then it checks Max-Forwards. If its zero then either it answers 483, or else it responds 200 with the special Reason and sets up the loopback.

Done.

> Also in 3.2, note that:
> 
>   When the final UAS answers a loopback-based INVITE with a Max-
>   Forwards greater than 0, the Reason header would not be added to the
>   response and the UAC will know the traceroute is complete.
> 
> is off by one. It should say "greater than or equal to 0". But addressing my other comments will probably cause it to be rewritten anyway.

Done.

> Since we decided not to do the 205 response, the Reason header becomes key. I'm a little uncomfortable with specifying that we use reason 483 with a *specific* reason-text value. I think we either say the 483 reason means this regardless of the reason-text, or else register a new reason code for this. (But registering a new reason code seems like overkill.)

I’ve tried to clear it up to say the code 483 is what the UAC uses to distinguish, but I still think we want to specify a reason phrase for the b2bua to use, to make it easy to figure it out in wireshark etc.

-hadriel